Name: libIDL
Version: 0.8.14
Release: 18
URL: http://ftp.gnome.org/pub/gnome/sources/libIDL/0.8
Source0: http://download.gnome.org/sources/libIDL/0.8/%{name}-%{version}.tar.bz2
Patch0: libIDL-0.8.6-multilib.patch
License: LGPLv2+
BuildRequires: gcc flex bison
BuildRequires: glib2-devel >= 2.0
BuildRequires: pkgconfig >= 0.8
Summary: This is a library for Interface Definition Language.

%description
libIDL is a library licensed under the GNU LGPL for creating trees
of CORBA Interface Definition Language (IDL) files, which is a
specification for defining portable interfaces.

%package devel
Summary: Development library package for libIDL.
Requires: glib2-devel >= 2.0
Requires: pkgconfig
Requires: %{name} = %{version}-%{release}

%description devel
The devel package provide header files and dynamic libraries for libIDL.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .multilib

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*a
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --quiet --delete %{_infodir}/libIDL2.info.gz %{_infodir}/dir || :
fi

%post devel
/sbin/install-info --quiet %{_infodir}/libIDL2.info.gz %{_infodir}/dir || :

%files
%doc AUTHORS COPYING README NEWS BUGS MAINTAINERS
%{_libdir}/libIDL-*.so.*

%files devel
%{_infodir}/libIDL2.info.gz
%{_libdir}/pkgconfig/libIDL-*.pc
%{_libdir}/libIDL-*.so
%{_bindir}/libIDL-config-2
%{_includedir}/libIDL-2.0/

%changelog
* Sat Oct 12 2019 shenyangyang <shenyangyang4@huawei.com> - 0.8.14-18
- Type: enhancement
- ID: NA
- SUG: NA
- DESC:delete the version of pkgconfig

* Mon Aug 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.14-17
- Package init
